MediaWiki:Gadget-mwEmbed.js
Closed, ResolvedPublic

Description

Hello,
As we could see on http://commons.wikimedia.org/wiki/Commons:Village_pump#MediaWiki:Gadget-mwEmbed.js, the subtitles can't be used on the sister projects (only their videos). Is it planned to deploy them please?


Version: unspecified
Severity: enhancement

bzimport added a project: mwEmbed-Timed-text.Via ConduitNov 21 2014, 11:00 PM
bzimport set Reference to bz24265.
JackPotte created this task.Via LegacyJul 5 2010, 11:51 AM
bzimport added a comment.Via ConduitJul 5 2010, 7:33 PM

mdale wrote:

presently you have to add the gadget to each sister project that you want to view subtitles on. The mwEmbed is smart enough to look up subtitles from commons even if the video is hosted somewhere else.

For example the following link displays subtitles from commons, even though the video is on en:

http://en.wikipedia.org/w/index.php?title=User:Mdale&withJS=MediaWiki:MwEmbed.js

JackPotte added a comment.Via ConduitJul 8 2010, 1:08 PM

Dear,
It doesnt work for me either in your URL above, nor in http://fr.wikiversity.org/wiki/Wikiversit%C3%A9:La_salle_caf%C3%A9/26_2010#Pour (after the gadget installation).

Is it because we can't see in http://en.wikipedia.org/wiki/Special:Version:

  1. http://www.mediawiki.org/wiki/Extension:Firefogg
  2. http://www.mediawiki.org/wiki/Extension:Add_Media_Wizard

?

In parallel I'm trying to reach a consensus if we have to install them...

JackPotte added a comment.Via ConduitAug 21 2010, 11:46 AM

We've got a consensus below, do you think that an installation is possible?

http://fr.wikibooks.org/wiki/Wikilivres:Le_Bistro/Messages_actuels#Pour

Platonides added a comment.Via ConduitAug 21 2010, 12:25 PM

You don't need those extensions.

http://fr.wikiversity.org/wiki/MediaWiki:MwEmbed.js is empty, and it doesn't appear on Gadgets or http://fr.wikiversity.org/wiki/MediaWiki:Common.js

How have you installed the gadget?

JackPotte added a comment.Via ConduitAug 21 2010, 12:42 PM

Done, actually I had tried in my monobook, but now I've got a new message under the video file: "Available closed captioning files", and the subtitles are visible. We can close the case.

bzimport added a comment.Via ConduitAug 21 2010, 11:22 PM

mdale wrote:

If the site is small enough like ( wikivesrity) and you have consensus, you can globally enable the gadget in the same way other gadgets have been globally enabled on commons ( imageAnnotator etc ). Would be interesting in early adopters to get wider testing and feedback on the component.

To do this simply copy the contents of http://en.wikipedia.org/wiki/MediaWiki:Gadget-mwEmbed.js to your MediaWiki:Common.js file

peace,
--michael

JackPotte added a comment.Via ConduitAug 22 2010, 7:06 PM

Thanks, I'll ask.

bzimport added a comment.Via ConduitJan 8 2011, 5:03 PM

mdale wrote:

Not sure why this was reopened. The issue should be resolved now.

Add Comment